Get asset details
Get asset details. The asset itself must be loaded from the host.
Private assets are signed URLs with expiry time. They are not included in the regular asset response but you can get them from the endpoint Get asset private URL.
get/tenants/{tenantUid}/assets/{assetUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+assetUidstringRequired
Reference to an asset
Responses
200
Example response
application/json
and
get/tenants/{tenantUid}/assets/{assetUid}
GET /v2/tenants/{tenantUid}/assets/{assetUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"assetUid": "text",
"name": "text",
"description": "text",
"category": "BRANDING",
"isPublic": true,
"publicUrl": "text",
"mimeType": "text",
"size": "text",
"serviceOrderUids": [
"text"
],
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z"
}Last updated
Was this helpful?

